For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
LoginSandbox
Platform GuidesAPI DocsSDKMCP ServerChangelog
Platform GuidesAPI DocsSDKMCP ServerChangelog
  • Solvimon API
    • Base URL
    • Authentication
    • HTTP status codes
    • Resources
    • Standardisation
  • Configuration API
      • GETGet a pricing plan version by ID
      • DELDelete a pricing plan version by resource ID
      • PATCHUpdate a pricing plan version
      • POSTCreate a pricing plan version
      • PUTUpdate or create a pricing plan version (upsert)
  • Identity API
  • Transaction API
  • Event API
LoginSandbox
Configuration APIPricing Plan Versions

Create a pricing plan version

POST
/v:version/pricing-plan-versions
POST
/v:version/pricing-plan-versions
$curl -X POST https://test.api.solvimon.com/v1/pricing-plan-versions \
> -H "X-API-KEY: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "pricing_plan_id": "pric_RwDeAC0tsJAiH2BOeq1d",
> "version": 2,
> "status": "ACTIVE",
> "copied_from_pricing_plan_version_id": "ppve_gwDeep0tDRcSvkAfeN1Z",
> "pricing_categories": [
> {
> "product_category_id": "proc_CwDeeN0tg038edAjeN1e",
> "pricings": [
> {
> "name": "new items",
> "product_ids": [
> "prod_jwDeAN0tsJCV11BBeT1h"
> ],
> "items": [
> {
> "product_item_ids": [
> "proi_jwDeAN0tsJCV11BBeT1h"
> ],
> "configs": [
> {
> "conditions": {
> "meter_properties": [
> {
> "id": "metp_qwDe9k0tsIY5LkBAel1E",
> "value": "DE",
> "comparator": "EQUALS"
> }
> ]
> },
> "order": 1,
> "type": "FLAT",
> "bands": [
> {
> "percentage": "0.01"
> }
> ]
> }
> ]
> }
> ]
> }
> ]
> }
> ]
>}'
1{
2 "object_type": "string",
3 "id": "string",
4 "pricing_plan_id": "string",
5 "pricing_plan": {
6 "object_type": "string",
7 "id": "string",
8 "reference": "string",
9 "name": "string",
10 "description": "string",
11 "customer_id": "string",
12 "type": "STANDARD",
13 "amount_type": "EXCLUDING_TAX",
14 "pricing_plan_version_infos": [
15 {
16 "version": 1,
17 "id": "string",
18 "status": "string",
19 "rate_card": {
20 "start_at": "2024-01-15T09:30:00Z"
21 }
22 }
23 ],
24 "pricing_plan_selection_rules": [
25 {
26 "type": "RESOURCE",
27 "resource": {
28 "type": "PLATFORM",
29 "field": "COUNTRY",
30 "value": "string",
31 "values": [
32 "string"
33 ],
34 "comparator": "EQUALS"
35 }
36 }
37 ],
38 "pricing_currencies": [
39 "AED"
40 ],
41 "variant": "DEFAULT"
42 },
43 "version": 1,
44 "status": "DRAFT",
45 "pricing_currency_settings": {
46 "default_pricing_currency": "string",
47 "pricing_currencies": [
48 "string"
49 ]
50 },
51 "billing_period_settings": {
52 "billing_periods": [
53 {
54 "period": {
55 "type": "DAY",
56 "value": 1
57 },
58 "description": "string"
59 }
60 ]
61 },
62 "copied_from_pricing_plan_version_id": "string",
63 "pricing_categories": [
64 {
65 "object_type": "string",
66 "id": "string",
67 "product_category_id": "string",
68 "product_category": {
69 "object_type": "string",
70 "id": "string",
71 "name": "string",
72 "reference": "string",
73 "description": "string",
74 "tax_category": "STANDARD",
75 "display_order": 1,
76 "customer_id": "string"
77 },
78 "pricings": [
79 {
80 "object_type": "string",
81 "id": "string",
82 "pricing_plan_version_id": "string",
83 "pricing_plan_schedule_id": "string",
84 "pricing_group_id": "string",
85 "original_pricing_id": "string",
86 "original_pricing": {},
87 "override": "ALL",
88 "name": "string",
89 "product_type": "DEFAULT",
90 "product_ids": [
91 "string"
92 ],
93 "display_order": 1,
94 "products": [
95 {
96 "object_type": "string",
97 "id": "string",
98 "category_id": "string",
99 "category": {
100 "object_type": "string",
101 "id": "string",
102 "name": "string",
103 "reference": "string",
104 "description": "string",
105 "tax_category": "STANDARD",
106 "display_order": 1,
107 "customer_id": "string"
108 },
109 "parent_product_id": "string",
110 "name": "string",
111 "reference": "string",
112 "description": "string",
113 "status": "DRAFT",
114 "product_type": "DEFAULT",
115 "tax_category": "STANDARD",
116 "features": [
117 {
118 "id": "string",
119 "reference": "string"
120 }
121 ],
122 "custom_fields": [
123 {
124 "id": "string",
125 "reference": "string",
126 "value": "string",
127 "values": [
128 "string"
129 ],
130 "integration_details": {
131 "id": "string",
132 "reference": "string",
133 "payment_gateway_variant": "ADYEN",
134 "adyen": {
135 "recurring_detail_reference": "string"
136 },
137 "stripe": {
138 "payment_method_id": "string"
139 }
140 }
141 }
142 ],
143 "display_order": 1,
144 "linked_integrations": [
145 {
146 "id": "string",
147 "link_details": [
148 {
149 "url": "string",
150 "custom_field_name": "string"
151 }
152 ]
153 }
154 ],
155 "billing_entity_id": "string",
156 "customer_id": "string"
157 }
158 ],
159 "entitlements": [
160 {
161 "feature_id": "string",
162 "feature": {
163 "object_type": "string",
164 "id": "string",
165 "reference": "string",
166 "name": "string",
167 "description": "string",
168 "type": "SWITCH",
169 "enum_values": [
170 "string"
171 ],
172 "meter_value_calculation_id": "string",
173 "meter_value_calculation": {
174 "object_type": "string",
175 "id": "string",
176 "reference": "string",
177 "name": "string",
178 "description": "string",
179 "calculation_type": "SUM",
180 "persist": true,
181 "meter_id": "string",
182 "meter": {
183 "object_type": "string",
184 "id": "string",
185 "reference": "string",
186 "name": "string",
187 "description": "string",
188 "status": "DRAFT",
189 "meter_values": [
190 {
191 "id": "string",
192 "object": {
193 "object_type": "string",
194 "id": "string",
195 "reference": "string",
196 "name": "string",
197 "description": "string",
198 "status": "DRAFT",
199 "type": "NUMBER"
200 },
201 "required": true
202 }
203 ],
204 "meter_properties": [
205 {
206 "id": "string",
207 "object": {
208 "object_type": "string",
209 "id": "string",
210 "reference": "string",
211 "name": "string",
212 "description": "string",
213 "status": "DRAFT",
214 "type": "NUMBER",
215 "enum_values": [
216 "string"
217 ]
218 },
219 "required": true
220 }
221 ]
222 },
223 "meter_value_id": "string",
224 "meter_value": {
225 "object_type": "string",
226 "id": "string",
227 "reference": "string",
228 "name": "string",
229 "description": "string",
230 "status": "DRAFT",
231 "type": "NUMBER"
232 },
233 "meter_property_id": "string",
234 "meter_property": {
235 "object_type": "string",
236 "id": "string",
237 "reference": "string",
238 "name": "string",
239 "description": "string",
240 "status": "DRAFT",
241 "type": "NUMBER",
242 "enum_values": [
243 "string"
244 ]
245 }
246 }
247 },
248 "feature_reference": "string",
249 "override": true,
250 "number": "string",
251 "switch": true,
252 "amount": {
253 "quantity": "string",
254 "currency": "AED"
255 },
256 "enum": "string",
257 "string": "string",
258 "overwrite": true
259 }
260 ],
261 "items": [
262 {
263 "object_type": "string",
264 "id": "string",
265 "original_pricing_item_id": "string",
266 "original_pricing_item": {},
267 "override": "ALL",
268 "product_item_ids": [
269 "string"
270 ],
271 "product_items": [
272 {
273 "object_type": "string",
274 "id": "string",
275 "product_id": "string",
276 "product": {
277 "object_type": "string",
278 "id": "string",
279 "category_id": "string",
280 "category": {
281 "object_type": "string",
282 "id": "string",
283 "name": "string",
284 "reference": "string",
285 "description": "string",
286 "tax_category": "STANDARD",
287 "display_order": 1,
288 "customer_id": "string"
289 },
290 "parent_product_id": "string",
291 "name": "string",
292 "reference": "string",
293 "description": "string",
294 "status": "DRAFT",
295 "product_type": "DEFAULT",
296 "tax_category": "STANDARD",
297 "features": [
298 {
299 "id": "string",
300 "reference": "string"
301 }
302 ],
303 "custom_fields": [
304 {
305 "id": "string",
306 "reference": "string",
307 "value": "string",
308 "values": [
309 "string"
310 ],
311 "integration_details": {
312 "id": "string",
313 "reference": "string",
314 "payment_gateway_variant": "ADYEN",
315 "adyen": {
316 "recurring_detail_reference": "string"
317 },
318 "stripe": {
319 "payment_method_id": "string"
320 }
321 }
322 }
323 ],
324 "display_order": 1,
325 "linked_integrations": [
326 {
327 "id": "string",
328 "link_details": [
329 {
330 "url": "string",
331 "custom_field_name": "string"
332 }
333 ]
334 }
335 ],
336 "billing_entity_id": "string",
337 "customer_id": "string"
338 },
339 "name": "string",
340 "status": "DRAFT",
341 "reference": "string",
342 "description": "string",
343 "type": "REVENUE",
344 "model_type": "USAGE_BASED",
345 "usage_based": {
346 "meter_value_calculation_id": "string",
347 "meter_value_calculation": {
348 "object_type": "string",
349 "id": "string",
350 "reference": "string",
351 "name": "string",
352 "description": "string",
353 "calculation_type": "SUM",
354 "persist": true,
355 "meter_id": "string",
356 "meter": {
357 "object_type": "string",
358 "id": "string",
359 "reference": "string",
360 "name": "string",
361 "description": "string",
362 "status": "DRAFT",
363 "meter_values": [
364 {
365 "id": "string",
366 "object": {
367 "object_type": "string",
368 "id": "string",
369 "reference": "string",
370 "name": "string",
371 "description": "string",
372 "status": "DRAFT",
373 "type": "NUMBER"
374 },
375 "required": true
376 }
377 ],
378 "meter_properties": [
379 {
380 "id": "string",
381 "object": {
382 "object_type": "string",
383 "id": "string",
384 "reference": "string",
385 "name": "string",
386 "description": "string",
387 "status": "DRAFT",
388 "type": "NUMBER",
389 "enum_values": [
390 "string"
391 ]
392 },
393 "required": true
394 }
395 ]
396 },
397 "meter_value_id": "string",
398 "meter_value": {
399 "object_type": "string",
400 "id": "string",
401 "reference": "string",
402 "name": "string",
403 "description": "string",
404 "status": "DRAFT",
405 "type": "NUMBER"
406 },
407 "meter_property_id": "string",
408 "meter_property": {
409 "object_type": "string",
410 "id": "string",
411 "reference": "string",
412 "name": "string",
413 "description": "string",
414 "status": "DRAFT",
415 "type": "NUMBER",
416 "enum_values": [
417 "string"
418 ]
419 }
420 },
421 "tiering_meter_value_calculation_id": "string",
422 "tiering_meter_value_calculation": {
423 "object_type": "string",
424 "id": "string",
425 "reference": "string",
426 "name": "string",
427 "description": "string",
428 "calculation_type": "SUM",
429 "persist": true,
430 "meter_id": "string",
431 "meter": {
432 "object_type": "string",
433 "id": "string",
434 "reference": "string",
435 "name": "string",
436 "description": "string",
437 "status": "DRAFT",
438 "meter_values": [
439 {
440 "id": "string",
441 "object": {
442 "object_type": "string",
443 "id": "string",
444 "reference": "string",
445 "name": "string",
446 "description": "string",
447 "status": "DRAFT",
448 "type": "NUMBER"
449 },
450 "required": true
451 }
452 ],
453 "meter_properties": [
454 {
455 "id": "string",
456 "object": {
457 "object_type": "string",
458 "id": "string",
459 "reference": "string",
460 "name": "string",
461 "description": "string",
462 "status": "DRAFT",
463 "type": "NUMBER",
464 "enum_values": [
465 "string"
466 ]
467 },
468 "required": true
469 }
470 ]
471 },
472 "meter_value_id": "string",
473 "meter_value": {
474 "object_type": "string",
475 "id": "string",
476 "reference": "string",
477 "name": "string",
478 "description": "string",
479 "status": "DRAFT",
480 "type": "NUMBER"
481 },
482 "meter_property_id": "string",
483 "meter_property": {
484 "object_type": "string",
485 "id": "string",
486 "reference": "string",
487 "name": "string",
488 "description": "string",
489 "status": "DRAFT",
490 "type": "NUMBER",
491 "enum_values": [
492 "string"
493 ]
494 }
495 },
496 "report_meter_value_calculation_ids": [
497 "string"
498 ],
499 "conditions": {
500 "name": "string",
501 "expression": {
502 "operator": "AND",
503 "operands": [
504 {
505 "meter_property": {
506 "id": "string",
507 "reference": "string",
508 "meter_property": {
509 "object_type": "string",
510 "id": "string",
511 "reference": "string",
512 "name": "string",
513 "description": "string",
514 "status": "DRAFT",
515 "type": "NUMBER",
516 "enum_values": [
517 "string"
518 ]
519 },
520 "value": "string",
521 "values": [
522 "string"
523 ],
524 "comparator": "EQUALS"
525 },
526 "expression": {}
527 }
528 ]
529 },
530 "meter_properties": [
531 {
532 "id": "string",
533 "reference": "string",
534 "meter_property": {
535 "object_type": "string",
536 "id": "string",
537 "reference": "string",
538 "name": "string",
539 "description": "string",
540 "status": "DRAFT",
541 "type": "NUMBER",
542 "enum_values": [
543 "string"
544 ]
545 },
546 "value": "string",
547 "values": [
548 "string"
549 ],
550 "comparator": "EQUALS"
551 }
552 ]
553 }
554 },
555 "credits": {
556 "credit_type_id": "string",
557 "credit_type": {
558 "object_type": "string",
559 "id": "string",
560 "reference": "string",
561 "status": "DRAFT",
562 "name": "string",
563 "description": "string",
564 "unit_name": {
565 "singular": "string",
566 "plural": "string"
567 },
568 "created_at": "string",
569 "updated_at": "string"
570 }
571 },
572 "meter_value_calculation": {
573 "object_type": "string",
574 "id": "string",
575 "reference": "string",
576 "name": "string",
577 "description": "string",
578 "calculation_type": "SUM",
579 "persist": true,
580 "meter_id": "string",
581 "meter": {
582 "object_type": "string",
583 "id": "string",
584 "reference": "string",
585 "name": "string",
586 "description": "string",
587 "status": "DRAFT",
588 "meter_values": [
589 {
590 "id": "string",
591 "object": {
592 "object_type": "string",
593 "id": "string",
594 "reference": "string",
595 "name": "string",
596 "description": "string",
597 "status": "DRAFT",
598 "type": "NUMBER"
599 },
600 "required": true
601 }
602 ],
603 "meter_properties": [
604 {
605 "id": "string",
606 "object": {
607 "object_type": "string",
608 "id": "string",
609 "reference": "string",
610 "name": "string",
611 "description": "string",
612 "status": "DRAFT",
613 "type": "NUMBER",
614 "enum_values": [
615 "string"
616 ]
617 },
618 "required": true
619 }
620 ]
621 },
622 "meter_value_id": "string",
623 "meter_value": {
624 "object_type": "string",
625 "id": "string",
626 "reference": "string",
627 "name": "string",
628 "description": "string",
629 "status": "DRAFT",
630 "type": "NUMBER"
631 },
632 "meter_property_id": "string",
633 "meter_property": {
634 "object_type": "string",
635 "id": "string",
636 "reference": "string",
637 "name": "string",
638 "description": "string",
639 "status": "DRAFT",
640 "type": "NUMBER",
641 "enum_values": [
642 "string"
643 ]
644 }
645 },
646 "tax_category": "STANDARD",
647 "display_order": 1,
648 "unit_name": {
649 "singular": "string",
650 "plural": "string"
651 },
652 "custom_fields": [
653 {
654 "id": "string",
655 "reference": "string",
656 "value": "string",
657 "values": [
658 "string"
659 ],
660 "integration_details": {
661 "id": "string",
662 "reference": "string",
663 "payment_gateway_variant": "ADYEN",
664 "adyen": {
665 "recurring_detail_reference": "string"
666 },
667 "stripe": {
668 "payment_method_id": "string"
669 }
670 }
671 }
672 ],
673 "customer_id": "string",
674 "meter_value_calculation_id": "string",
675 "report_meter_value_calculation_ids": [
676 "string"
677 ]
678 }
679 ],
680 "configs": [
681 {
682 "object_type": "string",
683 "id": "string",
684 "original_pricing_item_config_id": "string",
685 "original_pricing_item_config": {},
686 "details": {
687 "billing_period": {
688 "type": "DAY",
689 "value": 1
690 },
691 "pricing_type": "FLAT",
692 "pricing_period": {
693 "type": "DAY",
694 "value": 1
695 },
696 "bands": [
697 {
698 "amount": {
699 "quantity": "string",
700 "currency": "AED"
701 },
702 "percentage": "string",
703 "credits": {
704 "quantity": "string",
705 "credit_type_id": "string"
706 },
707 "fixed_amount": {
708 "quantity": "string",
709 "currency": "AED"
710 },
711 "maximum_amount": {
712 "quantity": "string",
713 "currency": "AED"
714 },
715 "minimum_amount": {
716 "quantity": "string",
717 "currency": "AED"
718 },
719 "maximum_number": "string",
720 "minimum_number": "string",
721 "block_size": {
722 "number": "string",
723 "amount": {
724 "quantity": "string",
725 "currency": "AED"
726 },
727 "count": "string"
728 },
729 "tier_top_bound": {
730 "number": "string",
731 "amount": {
732 "quantity": "string",
733 "currency": "AED"
734 },
735 "count": "string"
736 }
737 }
738 ]
739 },
740 "billing_period": {
741 "type": "DAY",
742 "value": 1
743 },
744 "pricing_period": {
745 "type": "DAY",
746 "value": 1
747 },
748 "default_included_volume": {
749 "number": "string",
750 "amount": {
751 "quantity": "string",
752 "currency": "AED"
753 },
754 "count": "string",
755 "reset_type": "string"
756 },
757 "default_seats_value": {
758 "number": "string",
759 "amount": {
760 "quantity": "string",
761 "currency": "AED"
762 },
763 "count": "string"
764 },
765 "conditions": {
766 "name": "string",
767 "meter_properties": [
768 {
769 "id": "string",
770 "reference": "string",
771 "meter_property": {
772 "object_type": "string",
773 "id": "string",
774 "reference": "string",
775 "name": "string",
776 "description": "string",
777 "status": "DRAFT",
778 "type": "NUMBER",
779 "enum_values": [
780 "string"
781 ]
782 },
783 "value": "string",
784 "values": [
785 "string"
786 ],
787 "comparator": "EQUALS"
788 }
789 ],
790 "configs": [
791 {}
792 ]
793 },
794 "order": 1,
795 "billing_in_advance": true,
796 "volume_group_reference": "string",
797 "top_up": {
798 "rollover": true
799 },
800 "split_pricing": {
801 "meter_properties": [
802 {
803 "id": "string",
804 "reference": "string",
805 "value": "string",
806 "meter_property": {
807 "object_type": "string",
808 "id": "string",
809 "reference": "string",
810 "name": "string",
811 "description": "string",
812 "status": "DRAFT",
813 "type": "NUMBER",
814 "enum_values": [
815 "string"
816 ]
817 }
818 }
819 ]
820 },
821 "on_demand": true,
822 "wallet_grants": [
823 {
824 "wallet_type_id": "string",
825 "wallet_type": {
826 "object_type": "string",
827 "id": "string",
828 "name": "string",
829 "reference": "string",
830 "status": "DRAFT",
831 "type": "CREDIT",
832 "credit": {
833 "grant_type": "CREDITS",
834 "amount_grant": {
835 "default_currency": "AED",
836 "tax_category": "STANDARD"
837 },
838 "credits_grant": {
839 "credit_type_id": "string"
840 }
841 },
842 "balance": {
843 "default_currency": "string"
844 },
845 "created_at": "string",
846 "updated_at": "string"
847 },
848 "amount_grant": {
849 "amount": {
850 "quantity": "string",
851 "currency": "AED"
852 },
853 "percentage": "string"
854 },
855 "credits_grant": {
856 "credits": {
857 "quantity": "string",
858 "credit_type_id": "string"
859 },
860 "conversion": "string"
861 },
862 "expiry_policy": {
863 "expiry_period": {
864 "type": "DAY",
865 "value": 1
866 }
867 }
868 }
869 ],
870 "type": "FLAT",
871 "pricing_type": "FLAT",
872 "bands": [
873 {
874 "amount": {
875 "quantity": "string",
876 "currency": "AED"
877 },
878 "percentage": "string",
879 "credits": {
880 "quantity": "string",
881 "credit_type_id": "string"
882 },
883 "fixed_amount": {
884 "quantity": "string",
885 "currency": "AED"
886 },
887 "maximum_amount": {
888 "quantity": "string",
889 "currency": "AED"
890 },
891 "minimum_amount": {
892 "quantity": "string",
893 "currency": "AED"
894 },
895 "maximum_number": "string",
896 "minimum_number": "string",
897 "block_size": {
898 "number": "string",
899 "amount": {
900 "quantity": "string",
901 "currency": "AED"
902 },
903 "count": "string"
904 },
905 "tier_top_bound": {
906 "number": "string",
907 "amount": {
908 "quantity": "string",
909 "currency": "AED"
910 },
911 "count": "string"
912 }
913 }
914 ]
915 }
916 ],
917 "pricing_currency_configs": [
918 {
919 "currency": "AED",
920 "configs": [
921 {
922 "object_type": "string",
923 "id": "string",
924 "original_pricing_item_config_id": "string",
925 "original_pricing_item_config": {},
926 "details": {
927 "billing_period": {
928 "type": "DAY",
929 "value": 1
930 },
931 "pricing_type": "FLAT",
932 "pricing_period": {
933 "type": "DAY",
934 "value": 1
935 },
936 "bands": [
937 {
938 "amount": {
939 "quantity": "string",
940 "currency": "AED"
941 },
942 "percentage": "string",
943 "credits": {
944 "quantity": "string",
945 "credit_type_id": "string"
946 },
947 "fixed_amount": {
948 "quantity": "string",
949 "currency": "AED"
950 },
951 "maximum_amount": {
952 "quantity": "string",
953 "currency": "AED"
954 },
955 "minimum_amount": {
956 "quantity": "string",
957 "currency": "AED"
958 },
959 "maximum_number": "string",
960 "minimum_number": "string",
961 "block_size": {
962 "number": "string",
963 "amount": {
964 "quantity": "string",
965 "currency": "AED"
966 },
967 "count": "string"
968 },
969 "tier_top_bound": {
970 "number": "string",
971 "amount": {
972 "quantity": "string",
973 "currency": "AED"
974 },
975 "count": "string"
976 }
977 }
978 ]
979 },
980 "billing_period": {
981 "type": "DAY",
982 "value": 1
983 },
984 "pricing_period": {
985 "type": "DAY",
986 "value": 1
987 },
988 "default_included_volume": {
989 "number": "string",
990 "amount": {
991 "quantity": "string",
992 "currency": "AED"
993 },
994 "count": "string",
995 "reset_type": "string"
996 },
997 "default_seats_value": {
998 "number": "string",
999 "amount": {
1000 "quantity": "string",
1001 "currency": "AED"
1002 },
1003 "count": "string"
1004 },
1005 "conditions": {
1006 "name": "string",
1007 "meter_properties": [
1008 {
1009 "id": "string",
1010 "reference": "string",
1011 "meter_property": {
1012 "object_type": "string",
1013 "id": "string",
1014 "reference": "string",
1015 "name": "string",
1016 "description": "string",
1017 "status": "DRAFT",
1018 "type": "NUMBER",
1019 "enum_values": [
1020 "string"
1021 ]
1022 },
1023 "value": "string",
1024 "values": [
1025 "string"
1026 ],
1027 "comparator": "EQUALS"
1028 }
1029 ],
1030 "configs": [
1031 {}
1032 ]
1033 },
1034 "order": 1,
1035 "billing_in_advance": true,
1036 "volume_group_reference": "string",
1037 "top_up": {
1038 "rollover": true
1039 },
1040 "split_pricing": {
1041 "meter_properties": [
1042 {
1043 "id": "string",
1044 "reference": "string",
1045 "value": "string",
1046 "meter_property": {
1047 "object_type": "string",
1048 "id": "string",
1049 "reference": "string",
1050 "name": "string",
1051 "description": "string",
1052 "status": "DRAFT",
1053 "type": "NUMBER",
1054 "enum_values": [
1055 "string"
1056 ]
1057 }
1058 }
1059 ]
1060 },
1061 "on_demand": true,
1062 "wallet_grants": [
1063 {
1064 "wallet_type_id": "string",
1065 "wallet_type": {
1066 "object_type": "string",
1067 "id": "string",
1068 "name": "string",
1069 "reference": "string",
1070 "status": "DRAFT",
1071 "type": "CREDIT",
1072 "credit": {
1073 "grant_type": "CREDITS",
1074 "amount_grant": {
1075 "default_currency": "AED",
1076 "tax_category": "STANDARD"
1077 },
1078 "credits_grant": {
1079 "credit_type_id": "string"
1080 }
1081 },
1082 "balance": {
1083 "default_currency": "string"
1084 },
1085 "created_at": "string",
1086 "updated_at": "string"
1087 },
1088 "amount_grant": {
1089 "amount": {
1090 "quantity": "string",
1091 "currency": "AED"
1092 },
1093 "percentage": "string"
1094 },
1095 "credits_grant": {
1096 "credits": {
1097 "quantity": "string",
1098 "credit_type_id": "string"
1099 },
1100 "conversion": "string"
1101 },
1102 "expiry_policy": {
1103 "expiry_period": {
1104 "type": "DAY",
1105 "value": 1
1106 }
1107 }
1108 }
1109 ],
1110 "type": "FLAT",
1111 "pricing_type": "FLAT",
1112 "bands": [
1113 {
1114 "amount": {
1115 "quantity": "string",
1116 "currency": "AED"
1117 },
1118 "percentage": "string",
1119 "credits": {
1120 "quantity": "string",
1121 "credit_type_id": "string"
1122 },
1123 "fixed_amount": {
1124 "quantity": "string",
1125 "currency": "AED"
1126 },
1127 "maximum_amount": {
1128 "quantity": "string",
1129 "currency": "AED"
1130 },
1131 "minimum_amount": {
1132 "quantity": "string",
1133 "currency": "AED"
1134 },
1135 "maximum_number": "string",
1136 "minimum_number": "string",
1137 "block_size": {
1138 "number": "string",
1139 "amount": {
1140 "quantity": "string",
1141 "currency": "AED"
1142 },
1143 "count": "string"
1144 },
1145 "tier_top_bound": {
1146 "number": "string",
1147 "amount": {
1148 "quantity": "string",
1149 "currency": "AED"
1150 },
1151 "count": "string"
1152 }
1153 }
1154 ]
1155 }
1156 ],
1157 "billing_period_configs": [
1158 {
1159 "billing_period": {
1160 "type": "DAY",
1161 "value": 1
1162 },
1163 "configs": [
1164 {
1165 "object_type": "string",
1166 "id": "string",
1167 "original_pricing_item_config_id": "string",
1168 "original_pricing_item_config": {},
1169 "details": {
1170 "billing_period": {
1171 "type": "DAY",
1172 "value": 1
1173 },
1174 "pricing_type": "FLAT",
1175 "pricing_period": {
1176 "type": "DAY",
1177 "value": 1
1178 },
1179 "bands": [
1180 {
1181 "amount": {
1182 "quantity": "string",
1183 "currency": "AED"
1184 },
1185 "percentage": "string",
1186 "credits": {
1187 "quantity": "string",
1188 "credit_type_id": "string"
1189 },
1190 "fixed_amount": {
1191 "quantity": "string",
1192 "currency": "AED"
1193 },
1194 "maximum_amount": {
1195 "quantity": "string",
1196 "currency": "AED"
1197 },
1198 "minimum_amount": {
1199 "quantity": "string",
1200 "currency": "AED"
1201 },
1202 "maximum_number": "string",
1203 "minimum_number": "string",
1204 "block_size": {
1205 "number": "string",
1206 "amount": {
1207 "quantity": "string",
1208 "currency": "AED"
1209 },
1210 "count": "string"
1211 },
1212 "tier_top_bound": {
1213 "number": "string",
1214 "amount": {
1215 "quantity": "string",
1216 "currency": "AED"
1217 },
1218 "count": "string"
1219 }
1220 }
1221 ]
1222 },
1223 "billing_period": {
1224 "type": "DAY",
1225 "value": 1
1226 },
1227 "pricing_period": {
1228 "type": "DAY",
1229 "value": 1
1230 },
1231 "default_included_volume": {
1232 "number": "string",
1233 "amount": {
1234 "quantity": "string",
1235 "currency": "AED"
1236 },
1237 "count": "string",
1238 "reset_type": "string"
1239 },
1240 "default_seats_value": {
1241 "number": "string",
1242 "amount": {
1243 "quantity": "string",
1244 "currency": "AED"
1245 },
1246 "count": "string"
1247 },
1248 "conditions": {
1249 "name": "string",
1250 "meter_properties": [
1251 {
1252 "id": "string",
1253 "reference": "string",
1254 "meter_property": {
1255 "object_type": "string",
1256 "id": "string",
1257 "reference": "string",
1258 "name": "string",
1259 "description": "string",
1260 "status": "DRAFT",
1261 "type": "NUMBER",
1262 "enum_values": [
1263 "string"
1264 ]
1265 },
1266 "value": "string",
1267 "values": [
1268 "string"
1269 ],
1270 "comparator": "EQUALS"
1271 }
1272 ],
1273 "configs": [
1274 {}
1275 ]
1276 },
1277 "order": 1,
1278 "billing_in_advance": true,
1279 "volume_group_reference": "string",
1280 "top_up": {
1281 "rollover": true
1282 },
1283 "split_pricing": {
1284 "meter_properties": [
1285 {
1286 "id": "string",
1287 "reference": "string",
1288 "value": "string",
1289 "meter_property": {
1290 "object_type": "string",
1291 "id": "string",
1292 "reference": "string",
1293 "name": "string",
1294 "description": "string",
1295 "status": "DRAFT",
1296 "type": "NUMBER",
1297 "enum_values": [
1298 "string"
1299 ]
1300 }
1301 }
1302 ]
1303 },
1304 "on_demand": true,
1305 "wallet_grants": [
1306 {
1307 "wallet_type_id": "string",
1308 "wallet_type": {
1309 "object_type": "string",
1310 "id": "string",
1311 "name": "string",
1312 "reference": "string",
1313 "status": "DRAFT",
1314 "type": "CREDIT",
1315 "credit": {
1316 "grant_type": "CREDITS",
1317 "amount_grant": {
1318 "default_currency": "AED",
1319 "tax_category": "STANDARD"
1320 },
1321 "credits_grant": {
1322 "credit_type_id": "string"
1323 }
1324 },
1325 "balance": {
1326 "default_currency": "string"
1327 },
1328 "created_at": "string",
1329 "updated_at": "string"
1330 },
1331 "amount_grant": {
1332 "amount": {
1333 "quantity": "string",
1334 "currency": "AED"
1335 },
1336 "percentage": "string"
1337 },
1338 "credits_grant": {
1339 "credits": {
1340 "quantity": "string",
1341 "credit_type_id": "string"
1342 },
1343 "conversion": "string"
1344 },
1345 "expiry_policy": {
1346 "expiry_period": {
1347 "type": "DAY",
1348 "value": 1
1349 }
1350 }
1351 }
1352 ],
1353 "type": "FLAT",
1354 "pricing_type": "FLAT",
1355 "bands": [
1356 {
1357 "amount": {
1358 "quantity": "string",
1359 "currency": "AED"
1360 },
1361 "percentage": "string",
1362 "credits": {
1363 "quantity": "string",
1364 "credit_type_id": "string"
1365 },
1366 "fixed_amount": {
1367 "quantity": "string",
1368 "currency": "AED"
1369 },
1370 "maximum_amount": {
1371 "quantity": "string",
1372 "currency": "AED"
1373 },
1374 "minimum_amount": {
1375 "quantity": "string",
1376 "currency": "AED"
1377 },
1378 "maximum_number": "string",
1379 "minimum_number": "string",
1380 "block_size": {
1381 "number": "string",
1382 "amount": {
1383 "quantity": "string",
1384 "currency": "AED"
1385 },
1386 "count": "string"
1387 },
1388 "tier_top_bound": {
1389 "number": "string",
1390 "amount": {
1391 "quantity": "string",
1392 "currency": "AED"
1393 },
1394 "count": "string"
1395 }
1396 }
1397 ]
1398 }
1399 ]
1400 }
1401 ],
1402 "fallback_currency": "AED"
1403 }
1404 ],
1405 "billing_period_configs": [
1406 {
1407 "billing_period": {
1408 "type": "DAY",
1409 "value": 1
1410 },
1411 "configs": [
1412 {
1413 "object_type": "string",
1414 "id": "string",
1415 "original_pricing_item_config_id": "string",
1416 "original_pricing_item_config": {},
1417 "details": {
1418 "billing_period": {
1419 "type": "DAY",
1420 "value": 1
1421 },
1422 "pricing_type": "FLAT",
1423 "pricing_period": {
1424 "type": "DAY",
1425 "value": 1
1426 },
1427 "bands": [
1428 {
1429 "amount": {
1430 "quantity": "string",
1431 "currency": "AED"
1432 },
1433 "percentage": "string",
1434 "credits": {
1435 "quantity": "string",
1436 "credit_type_id": "string"
1437 },
1438 "fixed_amount": {
1439 "quantity": "string",
1440 "currency": "AED"
1441 },
1442 "maximum_amount": {
1443 "quantity": "string",
1444 "currency": "AED"
1445 },
1446 "minimum_amount": {
1447 "quantity": "string",
1448 "currency": "AED"
1449 },
1450 "maximum_number": "string",
1451 "minimum_number": "string",
1452 "block_size": {
1453 "number": "string",
1454 "amount": {
1455 "quantity": "string",
1456 "currency": "AED"
1457 },
1458 "count": "string"
1459 },
1460 "tier_top_bound": {
1461 "number": "string",
1462 "amount": {
1463 "quantity": "string",
1464 "currency": "AED"
1465 },
1466 "count": "string"
1467 }
1468 }
1469 ]
1470 },
1471 "billing_period": {
1472 "type": "DAY",
1473 "value": 1
1474 },
1475 "pricing_period": {
1476 "type": "DAY",
1477 "value": 1
1478 },
1479 "default_included_volume": {
1480 "number": "string",
1481 "amount": {
1482 "quantity": "string",
1483 "currency": "AED"
1484 },
1485 "count": "string",
1486 "reset_type": "string"
1487 },
1488 "default_seats_value": {
1489 "number": "string",
1490 "amount": {
1491 "quantity": "string",
1492 "currency": "AED"
1493 },
1494 "count": "string"
1495 },
1496 "conditions": {
1497 "name": "string",
1498 "meter_properties": [
1499 {
1500 "id": "string",
1501 "reference": "string",
1502 "meter_property": {
1503 "object_type": "string",
1504 "id": "string",
1505 "reference": "string",
1506 "name": "string",
1507 "description": "string",
1508 "status": "DRAFT",
1509 "type": "NUMBER",
1510 "enum_values": [
1511 "string"
1512 ]
1513 },
1514 "value": "string",
1515 "values": [
1516 "string"
1517 ],
1518 "comparator": "EQUALS"
1519 }
1520 ],
1521 "configs": [
1522 {}
1523 ]
1524 },
1525 "order": 1,
1526 "billing_in_advance": true,
1527 "volume_group_reference": "string",
1528 "top_up": {
1529 "rollover": true
1530 },
1531 "split_pricing": {
1532 "meter_properties": [
1533 {
1534 "id": "string",
1535 "reference": "string",
1536 "value": "string",
1537 "meter_property": {
1538 "object_type": "string",
1539 "id": "string",
1540 "reference": "string",
1541 "name": "string",
1542 "description": "string",
1543 "status": "DRAFT",
1544 "type": "NUMBER",
1545 "enum_values": [
1546 "string"
1547 ]
1548 }
1549 }
1550 ]
1551 },
1552 "on_demand": true,
1553 "wallet_grants": [
1554 {
1555 "wallet_type_id": "string",
1556 "wallet_type": {
1557 "object_type": "string",
1558 "id": "string",
1559 "name": "string",
1560 "reference": "string",
1561 "status": "DRAFT",
1562 "type": "CREDIT",
1563 "credit": {
1564 "grant_type": "CREDITS",
1565 "amount_grant": {
1566 "default_currency": "AED",
1567 "tax_category": "STANDARD"
1568 },
1569 "credits_grant": {
1570 "credit_type_id": "string"
1571 }
1572 },
1573 "balance": {
1574 "default_currency": "string"
1575 },
1576 "created_at": "string",
1577 "updated_at": "string"
1578 },
1579 "amount_grant": {
1580 "amount": {
1581 "quantity": "string",
1582 "currency": "AED"
1583 },
1584 "percentage": "string"
1585 },
1586 "credits_grant": {
1587 "credits": {
1588 "quantity": "string",
1589 "credit_type_id": "string"
1590 },
1591 "conversion": "string"
1592 },
1593 "expiry_policy": {
1594 "expiry_period": {
1595 "type": "DAY",
1596 "value": 1
1597 }
1598 }
1599 }
1600 ],
1601 "type": "FLAT",
1602 "pricing_type": "FLAT",
1603 "bands": [
1604 {
1605 "amount": {
1606 "quantity": "string",
1607 "currency": "AED"
1608 },
1609 "percentage": "string",
1610 "credits": {
1611 "quantity": "string",
1612 "credit_type_id": "string"
1613 },
1614 "fixed_amount": {
1615 "quantity": "string",
1616 "currency": "AED"
1617 },
1618 "maximum_amount": {
1619 "quantity": "string",
1620 "currency": "AED"
1621 },
1622 "minimum_amount": {
1623 "quantity": "string",
1624 "currency": "AED"
1625 },
1626 "maximum_number": "string",
1627 "minimum_number": "string",
1628 "block_size": {
1629 "number": "string",
1630 "amount": {
1631 "quantity": "string",
1632 "currency": "AED"
1633 },
1634 "count": "string"
1635 },
1636 "tier_top_bound": {
1637 "number": "string",
1638 "amount": {
1639 "quantity": "string",
1640 "currency": "AED"
1641 },
1642 "count": "string"
1643 }
1644 }
1645 ]
1646 }
1647 ]
1648 }
1649 ],
1650 "display_order": 1
1651 }
1652 ]
1653 }
1654 ],
1655 "pricing_groups": [
1656 {
1657 "object_type": "string",
1658 "id": "string",
1659 "pricing_plan_version_id": "string",
1660 "name": "string",
1661 "product_type": "DEFAULT",
1662 "selection_constraint": "ANY",
1663 "display_order": 1,
1664 "pricings": [
1665 {
1666 "object_type": "string",
1667 "id": "string",
1668 "pricing_plan_version_id": "string",
1669 "pricing_plan_schedule_id": "string",
1670 "pricing_group_id": "string",
1671 "original_pricing_id": "string",
1672 "original_pricing": {},
1673 "override": "ALL",
1674 "name": "string",
1675 "product_type": "DEFAULT",
1676 "product_ids": [
1677 "string"
1678 ],
1679 "display_order": 1,
1680 "products": [
1681 {
1682 "object_type": "string",
1683 "id": "string",
1684 "category_id": "string",
1685 "category": {
1686 "object_type": "string",
1687 "id": "string",
1688 "name": "string",
1689 "reference": "string",
1690 "description": "string",
1691 "tax_category": "STANDARD",
1692 "display_order": 1,
1693 "customer_id": "string"
1694 },
1695 "parent_product_id": "string",
1696 "name": "string",
1697 "reference": "string",
1698 "description": "string",
1699 "status": "DRAFT",
1700 "product_type": "DEFAULT",
1701 "tax_category": "STANDARD",
1702 "features": [
1703 {
1704 "id": "string",
1705 "reference": "string"
1706 }
1707 ],
1708 "custom_fields": [
1709 {
1710 "id": "string",
1711 "reference": "string",
1712 "value": "string",
1713 "values": [
1714 "string"
1715 ],
1716 "integration_details": {
1717 "id": "string",
1718 "reference": "string",
1719 "payment_gateway_variant": "ADYEN",
1720 "adyen": {
1721 "recurring_detail_reference": "string"
1722 },
1723 "stripe": {
1724 "payment_method_id": "string"
1725 }
1726 }
1727 }
1728 ],
1729 "display_order": 1,
1730 "linked_integrations": [
1731 {
1732 "id": "string",
1733 "link_details": [
1734 {
1735 "url": "string",
1736 "custom_field_name": "string"
1737 }
1738 ]
1739 }
1740 ],
1741 "billing_entity_id": "string",
1742 "customer_id": "string"
1743 }
1744 ],
1745 "entitlements": [
1746 {
1747 "feature_id": "string",
1748 "feature": {
1749 "object_type": "string",
1750 "id": "string",
1751 "reference": "string",
1752 "name": "string",
1753 "description": "string",
1754 "type": "SWITCH",
1755 "enum_values": [
1756 "string"
1757 ],
1758 "meter_value_calculation_id": "string",
1759 "meter_value_calculation": {
1760 "object_type": "string",
1761 "id": "string",
1762 "reference": "string",
1763 "name": "string",
1764 "description": "string",
1765 "calculation_type": "SUM",
1766 "persist": true,
1767 "meter_id": "string",
1768 "meter": {
1769 "object_type": "string",
1770 "id": "string",
1771 "reference": "string",
1772 "name": "string",
1773 "description": "string",
1774 "status": "DRAFT",
1775 "meter_values": [
1776 {
1777 "id": "string",
1778 "object": {
1779 "object_type": "string",
1780 "id": "string",
1781 "reference": "string",
1782 "name": "string",
1783 "description": "string",
1784 "status": "DRAFT",
1785 "type": "NUMBER"
1786 },
1787 "required": true
1788 }
1789 ],
1790 "meter_properties": [
1791 {
1792 "id": "string",
1793 "object": {
1794 "object_type": "string",
1795 "id": "string",
1796 "reference": "string",
1797 "name": "string",
1798 "description": "string",
1799 "status": "DRAFT",
1800 "type": "NUMBER",
1801 "enum_values": [
1802 "string"
1803 ]
1804 },
1805 "required": true
1806 }
1807 ]
1808 },
1809 "meter_value_id": "string",
1810 "meter_value": {
1811 "object_type": "string",
1812 "id": "string",
1813 "reference": "string",
1814 "name": "string",
1815 "description": "string",
1816 "status": "DRAFT",
1817 "type": "NUMBER"
1818 },
1819 "meter_property_id": "string",
1820 "meter_property": {
1821 "object_type": "string",
1822 "id": "string",
1823 "reference": "string",
1824 "name": "string",
1825 "description": "string",
1826 "status": "DRAFT",
1827 "type": "NUMBER",
1828 "enum_values": [
1829 "string"
1830 ]
1831 }
1832 }
1833 },
1834 "feature_reference": "string",
1835 "override": true,
1836 "number": "string",
1837 "switch": true,
1838 "amount": {
1839 "quantity": "string",
1840 "currency": "AED"
1841 },
1842 "enum": "string",
1843 "string": "string",
1844 "overwrite": true
1845 }
1846 ],
1847 "items": [
1848 {
1849 "object_type": "string",
1850 "id": "string",
1851 "original_pricing_item_id": "string",
1852 "original_pricing_item": {},
1853 "override": "ALL",
1854 "product_item_ids": [
1855 "string"
1856 ],
1857 "product_items": [
1858 {
1859 "object_type": "string",
1860 "id": "string",
1861 "product_id": "string",
1862 "product": {
1863 "object_type": "string",
1864 "id": "string",
1865 "category_id": "string",
1866 "category": {
1867 "object_type": "string",
1868 "id": "string",
1869 "name": "string",
1870 "reference": "string",
1871 "description": "string",
1872 "tax_category": "STANDARD",
1873 "display_order": 1,
1874 "customer_id": "string"
1875 },
1876 "parent_product_id": "string",
1877 "name": "string",
1878 "reference": "string",
1879 "description": "string",
1880 "status": "DRAFT",
1881 "product_type": "DEFAULT",
1882 "tax_category": "STANDARD",
1883 "features": [
1884 {
1885 "id": "string",
1886 "reference": "string"
1887 }
1888 ],
1889 "custom_fields": [
1890 {
1891 "id": "string",
1892 "reference": "string",
1893 "value": "string",
1894 "values": [
1895 "string"
1896 ],
1897 "integration_details": {
1898 "id": "string",
1899 "reference": "string",
1900 "payment_gateway_variant": "ADYEN",
1901 "adyen": {
1902 "recurring_detail_reference": "string"
1903 },
1904 "stripe": {
1905 "payment_method_id": "string"
1906 }
1907 }
1908 }
1909 ],
1910 "display_order": 1,
1911 "linked_integrations": [
1912 {
1913 "id": "string",
1914 "link_details": [
1915 {
1916 "url": "string",
1917 "custom_field_name": "string"
1918 }
1919 ]
1920 }
1921 ],
1922 "billing_entity_id": "string",
1923 "customer_id": "string"
1924 },
1925 "name": "string",
1926 "status": "DRAFT",
1927 "reference": "string",
1928 "description": "string",
1929 "type": "REVENUE",
1930 "model_type": "USAGE_BASED",
1931 "usage_based": {
1932 "meter_value_calculation_id": "string",
1933 "meter_value_calculation": {
1934 "object_type": "string",
1935 "id": "string",
1936 "reference": "string",
1937 "name": "string",
1938 "description": "string",
1939 "calculation_type": "SUM",
1940 "persist": true,
1941 "meter_id": "string",
1942 "meter": {
1943 "object_type": "string",
1944 "id": "string",
1945 "reference": "string",
1946 "name": "string",
1947 "description": "string",
1948 "status": "DRAFT",
1949 "meter_values": [
1950 {
1951 "id": "string",
1952 "object": {
1953 "object_type": "string",
1954 "id": "string",
1955 "reference": "string",
1956 "name": "string",
1957 "description": "string",
1958 "status": "DRAFT",
1959 "type": "NUMBER"
1960 },
1961 "required": true
1962 }
1963 ],
1964 "meter_properties": [
1965 {
1966 "id": "string",
1967 "object": {
1968 "object_type": "string",
1969 "id": "string",
1970 "reference": "string",
1971 "name": "string",
1972 "description": "string",
1973 "status": "DRAFT",
1974 "type": "NUMBER",
1975 "enum_values": [
1976 "string"
1977 ]
1978 },
1979 "required": true
1980 }
1981 ]
1982 },
1983 "meter_value_id": "string",
1984 "meter_value": {
1985 "object_type": "string",
1986 "id": "string",
1987 "reference": "string",
1988 "name": "string",
1989 "description": "string",
1990 "status": "DRAFT",
1991 "type": "NUMBER"
1992 },
1993 "meter_property_id": "string",
1994 "meter_property": {
1995 "object_type": "string",
1996 "id": "string",
1997 "reference": "string",
1998 "name": "string",
1999 "description": "string",
2000 "status": "DRAFT",
2001 "type": "NUMBER",
2002 "enum_values": [
2003 "string"
2004 ]
2005 }
2006 },
2007 "tiering_meter_value_calculation_id": "string",
2008 "tiering_meter_value_calculation": {
2009 "object_type": "string",
2010 "id": "string",
2011 "reference": "string",
2012 "name": "string",
2013 "description": "string",
2014 "calculation_type": "SUM",
2015 "persist": true,
2016 "meter_id": "string",
2017 "meter": {
2018 "object_type": "string",
2019 "id": "string",
2020 "reference": "string",
2021 "name": "string",
2022 "description": "string",
2023 "status": "DRAFT",
2024 "meter_values": [
2025 {
2026 "id": "string",
2027 "object": {
2028 "object_type": "string",
2029 "id": "string",
2030 "reference": "string",
2031 "name": "string",
2032 "description": "string",
2033 "status": "DRAFT",
2034 "type": "NUMBER"
2035 },
2036 "required": true
2037 }
2038 ],
2039 "meter_properties": [
2040 {
2041 "id": "string",
2042 "object": {
2043 "object_type": "string",
2044 "id": "string",
2045 "reference": "string",
2046 "name": "string",
2047 "description": "string",
2048 "status": "DRAFT",
2049 "type": "NUMBER",
2050 "enum_values": [
2051 "string"
2052 ]
2053 },
2054 "required": true
2055 }
2056 ]
2057 },
2058 "meter_value_id": "string",
2059 "meter_value": {
2060 "object_type": "string",
2061 "id": "string",
2062 "reference": "string",
2063 "name": "string",
2064 "description": "string",
2065 "status": "DRAFT",
2066 "type": "NUMBER"
2067 },
2068 "meter_property_id": "string",
2069 "meter_property": {
2070 "object_type": "string",
2071 "id": "string",
2072 "reference": "string",
2073 "name": "string",
2074 "description": "string",
2075 "status": "DRAFT",
2076 "type": "NUMBER",
2077 "enum_values": [
2078 "string"
2079 ]
2080 }
2081 },
2082 "report_meter_value_calculation_ids": [
2083 "string"
2084 ],
2085 "conditions": {
2086 "name": "string",
2087 "expression": {
2088 "operator": "AND",
2089 "operands": [
2090 {
2091 "meter_property": {
2092 "id": "string",
2093 "reference": "string",
2094 "meter_property": {
2095 "object_type": "string",
2096 "id": "string",
2097 "reference": "string",
2098 "name": "string",
2099 "description": "string",
2100 "status": "DRAFT",
2101 "type": "NUMBER",
2102 "enum_values": [
2103 "string"
2104 ]
2105 },
2106 "value": "string",
2107 "values": [
2108 "string"
2109 ],
2110 "comparator": "EQUALS"
2111 },
2112 "expression": {}
2113 }
2114 ]
2115 },
2116 "meter_properties": [
2117 {
2118 "id": "string",
2119 "reference": "string",
2120 "meter_property": {
2121 "object_type": "string",
2122 "id": "string",
2123 "reference": "string",
2124 "name": "string",
2125 "description": "string",
2126 "status": "DRAFT",
2127 "type": "NUMBER",
2128 "enum_values": [
2129 "string"
2130 ]
2131 },
2132 "value": "string",
2133 "values": [
2134 "string"
2135 ],
2136 "comparator": "EQUALS"
2137 }
2138 ]
2139 }
2140 },
2141 "credits": {
2142 "credit_type_id": "string",
2143 "credit_type": {
2144 "object_type": "string",
2145 "id": "string",
2146 "reference": "string",
2147 "status": "DRAFT",
2148 "name": "string",
2149 "description": "string",
2150 "unit_name": {
2151 "singular": "string",
2152 "plural": "string"
2153 },
2154 "created_at": "string",
2155 "updated_at": "string"
2156 }
2157 },
2158 "meter_value_calculation": {
2159 "object_type": "string",
2160 "id": "string",
2161 "reference": "string",
2162 "name": "string",
2163 "description": "string",
2164 "calculation_type": "SUM",
2165 "persist": true,
2166 "meter_id": "string",
2167 "meter": {
2168 "object_type": "string",
2169 "id": "string",
2170 "reference": "string",
2171 "name": "string",
2172 "description": "string",
2173 "status": "DRAFT",
2174 "meter_values": [
2175 {
2176 "id": "string",
2177 "object": {
2178 "object_type": "string",
2179 "id": "string",
2180 "reference": "string",
2181 "name": "string",
2182 "description": "string",
2183 "status": "DRAFT",
2184 "type": "NUMBER"
2185 },
2186 "required": true
2187 }
2188 ],
2189 "meter_properties": [
2190 {
2191 "id": "string",
2192 "object": {
2193 "object_type": "string",
2194 "id": "string",
2195 "reference": "string",
2196 "name": "string",
2197 "description": "string",
2198 "status": "DRAFT",
2199 "type": "NUMBER",
2200 "enum_values": [
2201 "string"
2202 ]
2203 },
2204 "required": true
2205 }
2206 ]
2207 },
2208 "meter_value_id": "string",
2209 "meter_value": {
2210 "object_type": "string",
2211 "id": "string",
2212 "reference": "string",
2213 "name": "string",
2214 "description": "string",
2215 "status": "DRAFT",
2216 "type": "NUMBER"
2217 },
2218 "meter_property_id": "string",
2219 "meter_property": {
2220 "object_type": "string",
2221 "id": "string",
2222 "reference": "string",
2223 "name": "string",
2224 "description": "string",
2225 "status": "DRAFT",
2226 "type": "NUMBER",
2227 "enum_values": [
2228 "string"
2229 ]
2230 }
2231 },
2232 "tax_category": "STANDARD",
2233 "display_order": 1,
2234 "unit_name": {
2235 "singular": "string",
2236 "plural": "string"
2237 },
2238 "custom_fields": [
2239 {
2240 "id": "string",
2241 "reference": "string",
2242 "value": "string",
2243 "values": [
2244 "string"
2245 ],
2246 "integration_details": {
2247 "id": "string",
2248 "reference": "string",
2249 "payment_gateway_variant": "ADYEN",
2250 "adyen": {
2251 "recurring_detail_reference": "string"
2252 },
2253 "stripe": {
2254 "payment_method_id": "string"
2255 }
2256 }
2257 }
2258 ],
2259 "customer_id": "string",
2260 "meter_value_calculation_id": "string",
2261 "report_meter_value_calculation_ids": [
2262 "string"
2263 ]
2264 }
2265 ],
2266 "configs": [
2267 {
2268 "object_type": "string",
2269 "id": "string",
2270 "original_pricing_item_config_id": "string",
2271 "original_pricing_item_config": {},
2272 "details": {
2273 "billing_period": {
2274 "type": "DAY",
2275 "value": 1
2276 },
2277 "pricing_type": "FLAT",
2278 "pricing_period": {
2279 "type": "DAY",
2280 "value": 1
2281 },
2282 "bands": [
2283 {
2284 "amount": {
2285 "quantity": "string",
2286 "currency": "AED"
2287 },
2288 "percentage": "string",
2289 "credits": {
2290 "quantity": "string",
2291 "credit_type_id": "string"
2292 },
2293 "fixed_amount": {
2294 "quantity": "string",
2295 "currency": "AED"
2296 },
2297 "maximum_amount": {
2298 "quantity": "string",
2299 "currency": "AED"
2300 },
2301 "minimum_amount": {
2302 "quantity": "string",
2303 "currency": "AED"
2304 },
2305 "maximum_number": "string",
2306 "minimum_number": "string",
2307 "block_size": {
2308 "number": "string",
2309 "amount": {
2310 "quantity": "string",
2311 "currency": "AED"
2312 },
2313 "count": "string"
2314 },
2315 "tier_top_bound": {
2316 "number": "string",
2317 "amount": {
2318 "quantity": "string",
2319 "currency": "AED"
2320 },
2321 "count": "string"
2322 }
2323 }
2324 ]
2325 },
2326 "billing_period": {
2327 "type": "DAY",
2328 "value": 1
2329 },
2330 "pricing_period": {
2331 "type": "DAY",
2332 "value": 1
2333 },
2334 "default_included_volume": {
2335 "number": "string",
2336 "amount": {
2337 "quantity": "string",
2338 "currency": "AED"
2339 },
2340 "count": "string",
2341 "reset_type": "string"
2342 },
2343 "default_seats_value": {
2344 "number": "string",
2345 "amount": {
2346 "quantity": "string",
2347 "currency": "AED"
2348 },
2349 "count": "string"
2350 },
2351 "conditions": {
2352 "name": "string",
2353 "meter_properties": [
2354 {
2355 "id": "string",
2356 "reference": "string",
2357 "meter_property": {
2358 "object_type": "string",
2359 "id": "string",
2360 "reference": "string",
2361 "name": "string",
2362 "description": "string",
2363 "status": "DRAFT",
2364 "type": "NUMBER",
2365 "enum_values": [
2366 "string"
2367 ]
2368 },
2369 "value": "string",
2370 "values": [
2371 "string"
2372 ],
2373 "comparator": "EQUALS"
2374 }
2375 ],
2376 "configs": [
2377 {}
2378 ]
2379 },
2380 "order": 1,
2381 "billing_in_advance": true,
2382 "volume_group_reference": "string",
2383 "top_up": {
2384 "rollover": true
2385 },
2386 "split_pricing": {
2387 "meter_properties": [
2388 {
2389 "id": "string",
2390 "reference": "string",
2391 "value": "string",
2392 "meter_property": {
2393 "object_type": "string",
2394 "id": "string",
2395 "reference": "string",
2396 "name": "string",
2397 "description": "string",
2398 "status": "DRAFT",
2399 "type": "NUMBER",
2400 "enum_values": [
2401 "string"
2402 ]
2403 }
2404 }
2405 ]
2406 },
2407 "on_demand": true,
2408 "wallet_grants": [
2409 {
2410 "wallet_type_id": "string",
2411 "wallet_type": {
2412 "object_type": "string",
2413 "id": "string",
2414 "name": "string",
2415 "reference": "string",
2416 "status": "DRAFT",
2417 "type": "CREDIT",
2418 "credit": {
2419 "grant_type": "CREDITS",
2420 "amount_grant": {
2421 "default_currency": "AED",
2422 "tax_category": "STANDARD"
2423 },
2424 "credits_grant": {
2425 "credit_type_id": "string"
2426 }
2427 },
2428 "balance": {
2429 "default_currency": "string"
2430 },
2431 "created_at": "string",
2432 "updated_at": "string"
2433 },
2434 "amount_grant": {
2435 "amount": {
2436 "quantity": "string",
2437 "currency": "AED"
2438 },
2439 "percentage": "string"
2440 },
2441 "credits_grant": {
2442 "credits": {
2443 "quantity": "string",
2444 "credit_type_id": "string"
2445 },
2446 "conversion": "string"
2447 },
2448 "expiry_policy": {
2449 "expiry_period": {
2450 "type": "DAY",
2451 "value": 1
2452 }
2453 }
2454 }
2455 ],
2456 "type": "FLAT",
2457 "pricing_type": "FLAT",
2458 "bands": [
2459 {
2460 "amount": {
2461 "quantity": "string",
2462 "currency": "AED"
2463 },
2464 "percentage": "string",
2465 "credits": {
2466 "quantity": "string",
2467 "credit_type_id": "string"
2468 },
2469 "fixed_amount": {
2470 "quantity": "string",
2471 "currency": "AED"
2472 },
2473 "maximum_amount": {
2474 "quantity": "string",
2475 "currency": "AED"
2476 },
2477 "minimum_amount": {
2478 "quantity": "string",
2479 "currency": "AED"
2480 },
2481 "maximum_number": "string",
2482 "minimum_number": "string",
2483 "block_size": {
2484 "number": "string",
2485 "amount": {
2486 "quantity": "string",
2487 "currency": "AED"
2488 },
2489 "count": "string"
2490 },
2491 "tier_top_bound": {
2492 "number": "string",
2493 "amount": {
2494 "quantity": "string",
2495 "currency": "AED"
2496 },
2497 "count": "string"
2498 }
2499 }
2500 ]
2501 }
2502 ],
2503 "pricing_currency_configs": [
2504 {
2505 "currency": "AED",
2506 "configs": [
2507 {
2508 "object_type": "string",
2509 "id": "string",
2510 "original_pricing_item_config_id": "string",
2511 "original_pricing_item_config": {},
2512 "details": {
2513 "billing_period": {
2514 "type": "DAY",
2515 "value": 1
2516 },
2517 "pricing_type": "FLAT",
2518 "pricing_period": {
2519 "type": "DAY",
2520 "value": 1
2521 },
2522 "bands": [
2523 {
2524 "amount": {
2525 "quantity": "string",
2526 "currency": "AED"
2527 },
2528 "percentage": "string",
2529 "credits": {
2530 "quantity": "string",
2531 "credit_type_id": "string"
2532 },
2533 "fixed_amount": {
2534 "quantity": "string",
2535 "currency": "AED"
2536 },
2537 "maximum_amount": {
2538 "quantity": "string",
2539 "currency": "AED"
2540 },
2541 "minimum_amount": {
2542 "quantity": "string",
2543 "currency": "AED"
2544 },
2545 "maximum_number": "string",
2546 "minimum_number": "string",
2547 "block_size": {
2548 "number": "string",
2549 "amount": {
2550 "quantity": "string",
2551 "currency": "AED"
2552 },
2553 "count": "string"
2554 },
2555 "tier_top_bound": {
2556 "number": "string",
2557 "amount": {
2558 "quantity": "string",
2559 "currency": "AED"
2560 },
2561 "count": "string"
2562 }
2563 }
2564 ]
2565 },
2566 "billing_period": {
2567 "type": "DAY",
2568 "value": 1
2569 },
2570 "pricing_period": {
2571 "type": "DAY",
2572 "value": 1
2573 },
2574 "default_included_volume": {
2575 "number": "string",
2576 "amount": {
2577 "quantity": "string",
2578 "currency": "AED"
2579 },
2580 "count": "string",
2581 "reset_type": "string"
2582 },
2583 "default_seats_value": {
2584 "number": "string",
2585 "amount": {
2586 "quantity": "string",
2587 "currency": "AED"
2588 },
2589 "count": "string"
2590 },
2591 "conditions": {
2592 "name": "string",
2593 "meter_properties": [
2594 {
2595 "id": "string",
2596 "reference": "string",
2597 "meter_property": {
2598 "object_type": "string",
2599 "id": "string",
2600 "reference": "string",
2601 "name": "string",
2602 "description": "string",
2603 "status": "DRAFT",
2604 "type": "NUMBER",
2605 "enum_values": [
2606 "string"
2607 ]
2608 },
2609 "value": "string",
2610 "values": [
2611 "string"
2612 ],
2613 "comparator": "EQUALS"
2614 }
2615 ],
2616 "configs": [
2617 {}
2618 ]
2619 },
2620 "order": 1,
2621 "billing_in_advance": true,
2622 "volume_group_reference": "string",
2623 "top_up": {
2624 "rollover": true
2625 },
2626 "split_pricing": {
2627 "meter_properties": [
2628 {
2629 "id": "string",
2630 "reference": "string",
2631 "value": "string",
2632 "meter_property": {
2633 "object_type": "string",
2634 "id": "string",
2635 "reference": "string",
2636 "name": "string",
2637 "description": "string",
2638 "status": "DRAFT",
2639 "type": "NUMBER",
2640 "enum_values": [
2641 "string"
2642 ]
2643 }
2644 }
2645 ]
2646 },
2647 "on_demand": true,
2648 "wallet_grants": [
2649 {
2650 "wallet_type_id": "string",
2651 "wallet_type": {
2652 "object_type": "string",
2653 "id": "string",
2654 "name": "string",
2655 "reference": "string",
2656 "status": "DRAFT",
2657 "type": "CREDIT",
2658 "credit": {
2659 "grant_type": "CREDITS",
2660 "amount_grant": {
2661 "default_currency": "AED",
2662 "tax_category": "STANDARD"
2663 },
2664 "credits_grant": {
2665 "credit_type_id": "string"
2666 }
2667 },
2668 "balance": {
2669 "default_currency": "string"
2670 },
2671 "created_at": "string",
2672 "updated_at": "string"
2673 },
2674 "amount_grant": {
2675 "amount": {
2676 "quantity": "string",
2677 "currency": "AED"
2678 },
2679 "percentage": "string"
2680 },
2681 "credits_grant": {
2682 "credits": {
2683 "quantity": "string",
2684 "credit_type_id": "string"
2685 },
2686 "conversion": "string"
2687 },
2688 "expiry_policy": {
2689 "expiry_period": {
2690 "type": "DAY",
2691 "value": 1
2692 }
2693 }
2694 }
2695 ],
2696 "type": "FLAT",
2697 "pricing_type": "FLAT",
2698 "bands": [
2699 {
2700 "amount": {
2701 "quantity": "string",
2702 "currency": "AED"
2703 },
2704 "percentage": "string",
2705 "credits": {
2706 "quantity": "string",
2707 "credit_type_id": "string"
2708 },
2709 "fixed_amount": {
2710 "quantity": "string",
2711 "currency": "AED"
2712 },
2713 "maximum_amount": {
2714 "quantity": "string",
2715 "currency": "AED"
2716 },
2717 "minimum_amount": {
2718 "quantity": "string",
2719 "currency": "AED"
2720 },
2721 "maximum_number": "string",
2722 "minimum_number": "string",
2723 "block_size": {
2724 "number": "string",
2725 "amount": {
2726 "quantity": "string",
2727 "currency": "AED"
2728 },
2729 "count": "string"
2730 },
2731 "tier_top_bound": {
2732 "number": "string",
2733 "amount": {
2734 "quantity": "string",
2735 "currency": "AED"
2736 },
2737 "count": "string"
2738 }
2739 }
2740 ]
2741 }
2742 ],
2743 "billing_period_configs": [
2744 {
2745 "billing_period": {
2746 "type": "DAY",
2747 "value": 1
2748 },
2749 "configs": [
2750 {
2751 "object_type": "string",
2752 "id": "string",
2753 "original_pricing_item_config_id": "string",
2754 "original_pricing_item_config": {},
2755 "details": {
2756 "billing_period": {
2757 "type": "DAY",
2758 "value": 1
2759 },
2760 "pricing_type": "FLAT",
2761 "pricing_period": {
2762 "type": "DAY",
2763 "value": 1
2764 },
2765 "bands": [
2766 {
2767 "amount": {
2768 "quantity": "string",
2769 "currency": "AED"
2770 },
2771 "percentage": "string",
2772 "credits": {
2773 "quantity": "string",
2774 "credit_type_id": "string"
2775 },
2776 "fixed_amount": {
2777 "quantity": "string",
2778 "currency": "AED"
2779 },
2780 "maximum_amount": {
2781 "quantity": "string",
2782 "currency": "AED"
2783 },
2784 "minimum_amount": {
2785 "quantity": "string",
2786 "currency": "AED"
2787 },
2788 "maximum_number": "string",
2789 "minimum_number": "string",
2790 "block_size": {
2791 "number": "string",
2792 "amount": {
2793 "quantity": "string",
2794 "currency": "AED"
2795 },
2796 "count": "string"
2797 },
2798 "tier_top_bound": {
2799 "number": "string",
2800 "amount": {
2801 "quantity": "string",
2802 "currency": "AED"
2803 },
2804 "count": "string"
2805 }
2806 }
2807 ]
2808 },
2809 "billing_period": {
2810 "type": "DAY",
2811 "value": 1
2812 },
2813 "pricing_period": {
2814 "type": "DAY",
2815 "value": 1
2816 },
2817 "default_included_volume": {
2818 "number": "string",
2819 "amount": {
2820 "quantity": "string",
2821 "currency": "AED"
2822 },
2823 "count": "string",
2824 "reset_type": "string"
2825 },
2826 "default_seats_value": {
2827 "number": "string",
2828 "amount": {
2829 "quantity": "string",
2830 "currency": "AED"
2831 },
2832 "count": "string"
2833 },
2834 "conditions": {
2835 "name": "string",
2836 "meter_properties": [
2837 {
2838 "id": "string",
2839 "reference": "string",
2840 "meter_property": {
2841 "object_type": "string",
2842 "id": "string",
2843 "reference": "string",
2844 "name": "string",
2845 "description": "string",
2846 "status": "DRAFT",
2847 "type": "NUMBER",
2848 "enum_values": [
2849 "string"
2850 ]
2851 },
2852 "value": "string",
2853 "values": [
2854 "string"
2855 ],
2856 "comparator": "EQUALS"
2857 }
2858 ],
2859 "configs": [
2860 {}
2861 ]
2862 },
2863 "order": 1,
2864 "billing_in_advance": true,
2865 "volume_group_reference": "string",
2866 "top_up": {
2867 "rollover": true
2868 },
2869 "split_pricing": {
2870 "meter_properties": [
2871 {
2872 "id": "string",
2873 "reference": "string",
2874 "value": "string",
2875 "meter_property": {
2876 "object_type": "string",
2877 "id": "string",
2878 "reference": "string",
2879 "name": "string",
2880 "description": "string",
2881 "status": "DRAFT",
2882 "type": "NUMBER",
2883 "enum_values": [
2884 "string"
2885 ]
2886 }
2887 }
2888 ]
2889 },
2890 "on_demand": true,
2891 "wallet_grants": [
2892 {
2893 "wallet_type_id": "string",
2894 "wallet_type": {
2895 "object_type": "string",
2896 "id": "string",
2897 "name": "string",
2898 "reference": "string",
2899 "status": "DRAFT",
2900 "type": "CREDIT",
2901 "credit": {
2902 "grant_type": "CREDITS",
2903 "amount_grant": {
2904 "default_currency": "AED",
2905 "tax_category": "STANDARD"
2906 },
2907 "credits_grant": {
2908 "credit_type_id": "string"
2909 }
2910 },
2911 "balance": {
2912 "default_currency": "string"
2913 },
2914 "created_at": "string",
2915 "updated_at": "string"
2916 },
2917 "amount_grant": {
2918 "amount": {
2919 "quantity": "string",
2920 "currency": "AED"
2921 },
2922 "percentage": "string"
2923 },
2924 "credits_grant": {
2925 "credits": {
2926 "quantity": "string",
2927 "credit_type_id": "string"
2928 },
2929 "conversion": "string"
2930 },
2931 "expiry_policy": {
2932 "expiry_period": {
2933 "type": "DAY",
2934 "value": 1
2935 }
2936 }
2937 }
2938 ],
2939 "type": "FLAT",
2940 "pricing_type": "FLAT",
2941 "bands": [
2942 {
2943 "amount": {
2944 "quantity": "string",
2945 "currency": "AED"
2946 },
2947 "percentage": "string",
2948 "credits": {
2949 "quantity": "string",
2950 "credit_type_id": "string"
2951 },
2952 "fixed_amount": {
2953 "quantity": "string",
2954 "currency": "AED"
2955 },
2956 "maximum_amount": {
2957 "quantity": "string",
2958 "currency": "AED"
2959 },
2960 "minimum_amount": {
2961 "quantity": "string",
2962 "currency": "AED"
2963 },
2964 "maximum_number": "string",
2965 "minimum_number": "string",
2966 "block_size": {
2967 "number": "string",
2968 "amount": {
2969 "quantity": "string",
2970 "currency": "AED"
2971 },
2972 "count": "string"
2973 },
2974 "tier_top_bound": {
2975 "number": "string",
2976 "amount": {
2977 "quantity": "string",
2978 "currency": "AED"
2979 },
2980 "count": "string"
2981 }
2982 }
2983 ]
2984 }
2985 ]
2986 }
2987 ],
2988 "fallback_currency": "AED"
2989 }
2990 ],
2991 "billing_period_configs": [
2992 {
2993 "billing_period": {
2994 "type": "DAY",
2995 "value": 1
2996 },
2997 "configs": [
2998 {
2999 "object_type": "string",
3000 "id": "string",
3001 "original_pricing_item_config_id": "string",
3002 "original_pricing_item_config": {},
3003 "details": {
3004 "billing_period": {
3005 "type": "DAY",
3006 "value": 1
3007 },
3008 "pricing_type": "FLAT",
3009 "pricing_period": {
3010 "type": "DAY",
3011 "value": 1
3012 },
3013 "bands": [
3014 {
3015 "amount": {
3016 "quantity": "string",
3017 "currency": "AED"
3018 },
3019 "percentage": "string",
3020 "credits": {
3021 "quantity": "string",
3022 "credit_type_id": "string"
3023 },
3024 "fixed_amount": {
3025 "quantity": "string",
3026 "currency": "AED"
3027 },
3028 "maximum_amount": {
3029 "quantity": "string",
3030 "currency": "AED"
3031 },
3032 "minimum_amount": {
3033 "quantity": "string",
3034 "currency": "AED"
3035 },
3036 "maximum_number": "string",
3037 "minimum_number": "string",
3038 "block_size": {
3039 "number": "string",
3040 "amount": {
3041 "quantity": "string",
3042 "currency": "AED"
3043 },
3044 "count": "string"
3045 },
3046 "tier_top_bound": {
3047 "number": "string",
3048 "amount": {
3049 "quantity": "string",
3050 "currency": "AED"
3051 },
3052 "count": "string"
3053 }
3054 }
3055 ]
3056 },
3057 "billing_period": {
3058 "type": "DAY",
3059 "value": 1
3060 },
3061 "pricing_period": {
3062 "type": "DAY",
3063 "value": 1
3064 },
3065 "default_included_volume": {
3066 "number": "string",
3067 "amount": {
3068 "quantity": "string",
3069 "currency": "AED"
3070 },
3071 "count": "string",
3072 "reset_type": "string"
3073 },
3074 "default_seats_value": {
3075 "number": "string",
3076 "amount": {
3077 "quantity": "string",
3078 "currency": "AED"
3079 },
3080 "count": "string"
3081 },
3082 "conditions": {
3083 "name": "string",
3084 "meter_properties": [
3085 {
3086 "id": "string",
3087 "reference": "string",
3088 "meter_property": {
3089 "object_type": "string",
3090 "id": "string",
3091 "reference": "string",
3092 "name": "string",
3093 "description": "string",
3094 "status": "DRAFT",
3095 "type": "NUMBER",
3096 "enum_values": [
3097 "string"
3098 ]
3099 },
3100 "value": "string",
3101 "values": [
3102 "string"
3103 ],
3104 "comparator": "EQUALS"
3105 }
3106 ],
3107 "configs": [
3108 {}
3109 ]
3110 },
3111 "order": 1,
3112 "billing_in_advance": true,
3113 "volume_group_reference": "string",
3114 "top_up": {
3115 "rollover": true
3116 },
3117 "split_pricing": {
3118 "meter_properties": [
3119 {
3120 "id": "string",
3121 "reference": "string",
3122 "value": "string",
3123 "meter_property": {
3124 "object_type": "string",
3125 "id": "string",
3126 "reference": "string",
3127 "name": "string",
3128 "description": "string",
3129 "status": "DRAFT",
3130 "type": "NUMBER",
3131 "enum_values": [
3132 "string"
3133 ]
3134 }
3135 }
3136 ]
3137 },
3138 "on_demand": true,
3139 "wallet_grants": [
3140 {
3141 "wallet_type_id": "string",
3142 "wallet_type": {
3143 "object_type": "string",
3144 "id": "string",
3145 "name": "string",
3146 "reference": "string",
3147 "status": "DRAFT",
3148 "type": "CREDIT",
3149 "credit": {
3150 "grant_type": "CREDITS",
3151 "amount_grant": {
3152 "default_currency": "AED",
3153 "tax_category": "STANDARD"
3154 },
3155 "credits_grant": {
3156 "credit_type_id": "string"
3157 }
3158 },
3159 "balance": {
3160 "default_currency": "string"
3161 },
3162 "created_at": "string",
3163 "updated_at": "string"
3164 },
3165 "amount_grant": {
3166 "amount": {
3167 "quantity": "string",
3168 "currency": "AED"
3169 },
3170 "percentage": "string"
3171 },
3172 "credits_grant": {
3173 "credits": {
3174 "quantity": "string",
3175 "credit_type_id": "string"
3176 },
3177 "conversion": "string"
3178 },
3179 "expiry_policy": {
3180 "expiry_period": {
3181 "type": "DAY",
3182 "value": 1
3183 }
3184 }
3185 }
3186 ],
3187 "type": "FLAT",
3188 "pricing_type": "FLAT",
3189 "bands": [
3190 {
3191 "amount": {
3192 "quantity": "string",
3193 "currency": "AED"
3194 },
3195 "percentage": "string",
3196 "credits": {
3197 "quantity": "string",
3198 "credit_type_id": "string"
3199 },
3200 "fixed_amount": {
3201 "quantity": "string",
3202 "currency": "AED"
3203 },
3204 "maximum_amount": {
3205 "quantity": "string",
3206 "currency": "AED"
3207 },
3208 "minimum_amount": {
3209 "quantity": "string",
3210 "currency": "AED"
3211 },
3212 "maximum_number": "string",
3213 "minimum_number": "string",
3214 "block_size": {
3215 "number": "string",
3216 "amount": {
3217 "quantity": "string",
3218 "currency": "AED"
3219 },
3220 "count": "string"
3221 },
3222 "tier_top_bound": {
3223 "number": "string",
3224 "amount": {
3225 "quantity": "string",
3226 "currency": "AED"
3227 },
3228 "count": "string"
3229 }
3230 }
3231 ]
3232 }
3233 ]
3234 }
3235 ],
3236 "display_order": 1
3237 }
3238 ]
3239 }
3240 ]
3241 }
3242 ],
3243 "display_order": 1
3244 }
3245 ],
3246 "credit_types": [
3247 {
3248 "object_type": "string",
3249 "id": "string",
3250 "reference": "string",
3251 "status": "DRAFT",
3252 "name": "string",
3253 "description": "string",
3254 "unit_name": {
3255 "singular": "string",
3256 "plural": "string"
3257 },
3258 "created_at": "string",
3259 "updated_at": "string"
3260 }
3261 ],
3262 "rate_card": {
3263 "start_at": "2024-01-15T09:30:00Z"
3264 }
3265}
Was this page helpful?
Previous

Update or create a pricing plan version (upsert)

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
pricing_plan_idstring or nullRequired
The resource ID of the pricing plan.
pricing_planobject or nullOptional
versioninteger or nullOptional
The value describing the version of the pricing plan.
statusenum or nullOptional
Allowed values:
pricing_currency_settingsobjectOptional
billing_period_settingsobjectOptional
copied_from_pricing_plan_version_idstring or nullOptional
The id of the pricing plan version from which this pricing plan version was copied
pricing_categorieslist of objects or nullOptional
The list of priced categories that are within the pricing plan.
rate_cardobjectOptional

Response

Created
object_typestring or nullRead-only
idstring or nullRead-only
pricing_plan_idstring or null
The resource ID of the pricing plan.
pricing_planobject or null
versioninteger or null
The value describing the version of the pricing plan.
statusenum or null
Allowed values:
pricing_currency_settingsobject
billing_period_settingsobject
copied_from_pricing_plan_version_idstring or null
The id of the pricing plan version from which this pricing plan version was copied
pricing_categorieslist of objects or null
The list of priced categories that are within the pricing plan.
credit_typeslist of objects or nullRead-only
rate_cardobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
500
Internal Server Error